#6244 build: add python-libsss_nss_idmap and python-sss to BuildRequires
Closed: Fixed None Opened 7 years ago by mbabinsk.

The following failures can be observed when building freeipa with pylint-1.5.6-1.fc24.noarch

PYTHONPATH=. pylint --rcfile=pylintrc  $FILES || false
Pylint is running, please wait ...
************* Module ipaserver.dcerpc
ipaserver/dcerpc.py:58: [E0401(import-error), ] Unable to import 'pysss_nss_idmap')
ipaserver/dcerpc.py:59: [E0401(import-error), ] Unable to import 'pysss')
Makefile:137: recipe for target 'lint' failed
make: *** [lint] Error 1
sending incremental file list
rsync: link_stat "/tmp/tmp.eoNJc1Z6yw/dist" failed: No such file or directory (2)

While we can disable these error explicitly by using annotations, adding python bindings to libsss_nss_idmap and sssd also to BuildRequires would be a more systematic solution.


The failure can be observed when building both ipa-4-3 and master branch.

master:

  • a4f4cac add python-libsss_nss_idmap and python-sss to BuildRequires

ipa-4-3:
- b0e43d5 add python-libsss_nss_idmap and python-sss to BuildRequires

Metadata Update from @mbabinsk:
- Issue assigned to someone
- Issue set to the milestone: FreeIPA 4.3.3

6 years ago

Login to comment on this ticket.

Metadata